Get bets
curl --request GET \
--url https://v2.55-tech.com/bets \
--header 'x-api-key: <api-key>'import requests
url = "https://v2.55-tech.com/bets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://v2.55-tech.com/bets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"bets": [
{
"betId": 67890,
"orderId": 12345,
"bookmaker": "pinnacle",
"betStatus": "CONFIRMED",
"settlementStatus": "UNSETTLED",
"clientName": "demo",
"testBet": false,
"requestUuid": "eb45b192-317b-42d5-9f65-af497b9fa8c1",
"bookmakerBetId": "3332684214",
"placedPrice": 1.97,
"placedStake": 10,
"placedCurrency": "USD",
"placedAt": "2026-02-07T17:29:32+00:00",
"userRef": "bettor1234",
"account": "pinnacle_main",
"sentData": {
"stake": 10,
"price": 1.95
},
"receivedData": {
"betId": "3332684214",
"status": "accepted",
"price": 1.97
},
"currencyInfo": {
"currency": "USD",
"currencyValue": 1,
"updatedAt": "2026-02-07T17:29:32+00:00"
}
},
{
"betId": 67889,
"orderId": 12344,
"bookmaker": "betfair-ex",
"betStatus": "CONFIRMED",
"settlementStatus": "WON",
"clientName": "demo",
"testBet": false,
"requestUuid": "fb5f2dd9-c855-4ba9-8ef9-4c2278ca2f1d",
"bookmakerBetId": "234567890",
"placedPrice": 1.94,
"placedStake": 50,
"placedCurrency": "GBP",
"placedAt": "2026-02-07T16:00:00+00:00",
"settledAt": "2026-02-07T18:30:00+00:00",
"userRef": "bettor1234",
"account": "betfair_user",
"currencyInfo": {
"currency": "GBP",
"currencyValue": 0.73,
"updatedAt": "2026-02-07T17:29:32+00:00"
}
}
],
"count": 2,
"hasMore": true,
"nextCursor": 67889
}Bets
Get bets
Retrieve bets by various filters with keyset pagination. At least one filter must be provided.
Filters (OR logic):
betIds— Comma-separated list of bet IDsorderIds— Comma-separated list of order IDsuserRef— User reference string
Pagination:
- Results are ordered by betId descending (newest first)
- Use
afterBetIdfromnextCursorin the response to fetch the next page hasMoreindicates if more results are available
Bet Status Values: PENDING, PLACED, CONFIRMED, REJECTED, CANCELLED, FAILED, VOID
Settlement Status Values: UNSETTLED, WON, LOST, VOID, HALF_WON, HALF_LOST, PUSH, CASHOUT
GET
/
bets
Get bets
Authorizations
API key for authentication. Contact contact@55-tech.com to obtain a key.
Query Parameters
Comma-separated bet IDs
Comma-separated order IDs
User reference to filter by
Cursor for pagination: fetch bets with betId less than this value
Maximum number of bets to return per page
Required range:
1 <= x <= 1000